<?php
session_start();
if(isset($_SESSION['halaman']) && !empty($_SESSION['halaman'])) { 
}
if(($_SESSION['halaman']=="admin"))
{
 
}
else
{
  header("location: ../../../login");  
}
include("../header.php");
include '../../../config/koneksi.php';

    
        
?>
                
<!DOCTYPE html>
<html>
    <head>
        <title></title>
         <link rel="stylesheet" href="../../../plugins/daterangepicker/daterangepicker.css">
  <!-- iCheck for checkboxes and radio inputs -->

<link rel="stylesheet" href="../../../plugins/fontawesome-free/css/all.min.css">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="../../../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="../../../plugins/toastr/toastr.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../../../dist/css/adminlte.min.css">
    <!-- Select2 -->
  <link rel="stylesheet" href="../../../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../../../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
   <link rel="stylesheet" href="../../../plugins/summernote/summernote-bs4.min.css">
<!-- Ekko Lightbox -->
 <!-- Ekko Lightbox -->
  <link rel="stylesheet" href="../../../plugins/ekko-lightbox/ekko-lightbox.css">
 
            <script type="text/javascript">

                function tampil() {
                    $.ajax({
                        type: 'GET',
                        url: 'tampil.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val()
                        },
                        success: function (data) {
                            $('#tampil_data').html(data);
                            tampilopd()
                          
                        }
                    });
                };

 </script>  
           <script type="text/javascript">
               function tampilsasaran() {
                   $('#tampil_sasaran').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'sasaran/tampil.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programs: $("#kode_programs").val()
                        },
                        success: function (data) {
                            $('#tampil_sasaran').html(data);
                          
                          
                        }
                    });
                };



                function tampilprogram() {
                   $('#tampil_program').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'program/tampil.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_program: $("#kode_program").val()
                        },
                        success: function (data) {
                            $('#tampil_program').html(data);
                          
                          
                        }
                    });
                };

                  function tampilubahprogram() {
                   $('#tampil_ubah_program').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'program/tampilubah.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programu: $("#kode_programu").val(),
                             id_iprogram: $("#id_iprogram").val()
                        },
                        success: function (data) {
                            $('#tampil_ubah_program').html(data);
                          
                          
                        }
                    });
                };

                 function tampilhapusprogram() {
                   $('#tampil_hapus_program').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'program/tampilhapus.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programh: $("#kode_programh").val(),
                             id_iprogramh: $("#id_iprogramh").val()
                        },
                        success: function (data) {
                            $('#tampil_hapus_program').html(data);
                          
                          
                        }
                    });
                };


                 function tampilkegiatan() {
                   $('#tampil_kegiatan').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'kegiatan/tampil.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_kegiatan: $("#kode_kegiatan").val()
                        },
                        success: function (data) {
                            $('#tampil_kegiatan').html(data);
                          
                          
                        }
                    });
                };


                  function tampilsub_kegiatan() {
                   $('#tampil_sub_kegiatan').html('<i class="fas fa-3x fa-sync-alt fa-spin"></i> Memuat Data');
                    $.ajax({
                        type: 'GET',
                        url: 'sub_kegiatan/tampil.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_sub_kegiatan: $("#kode_sub_kegiatan").val()
                        },
                        success: function (data) {
                            $('#tampil_sub_kegiatan').html(data);
                          
                          
                        }
                    });
                };


 </script>  

 <script type="text/javascript">

      function inputsasaran() {
                    $.ajax({
                        type: 'POST',
                        url: 'sasaran/input.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programs: $("#kode_programs").val(),
                             sasaran: $("#sasaran").val(),
                           
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };


                  function ubahsasaran() {
                    $.ajax({
                        type: 'POST',
                        url: 'sasaran/ubah.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programs: $("#kode_programs").val(),
                             sasaran: $("#sasaran").val(),
                           
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };

                function inputprogram() {
                    $.ajax({
                        type: 'POST',
                        url: 'program/input.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_program: $("#kode_program").val(),
                             indikator_program: $("#indikator_program").val(),
                             k_target_program_renstra: $("#k_target_program_renstra").val(),
                             k_realisasi_program_renstra: $('#k_realisasi_program_renstra').val(),
                             target_program_renja: $('#target_program_renja').val(),
                             t_program1: $('#t_program1').val(),
                             t_program2: $('#t_program2').val(),
                             t_program3: $('#t_program3').val(),
                             t_program4: $('#t_program4').val(),
                             satuan_program: $('#satuan_program').val(),
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };

                function ubahprogram() {
                    $.ajax({
                        type: 'POST',
                        url: 'program/ubah.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_programu: $("#kode_programu").val(),
                             id_iprogram: $("#id_iprogram").val(),
                             indikator_iprogram: $("#indikator_iprogram").val(),
                             k_target_iprogram_renstra: $("#k_target_iprogram_renstra").val(),
                             k_realisasi_iprogram_renstra: $('#k_realisasi_iprogram_renstra').val(),
                             target_iprogram_renja: $('#target_iprogram_renja').val(),
                             t_iprogram1: $('#t_iprogram1').val(),
                             t_iprogram2: $('#t_iprogram2').val(),
                             t_iprogram3: $('#t_iprogram3').val(),
                             t_iprogram4: $('#t_iprogram4').val(),
                             satuan_iprogram: $('#satuan_iprogram').val(),
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };


                 function hapusprogram() {
                    $.ajax({
                        type: 'POST',
                        url: 'program/delete.php',
                        data: {
                             id_iprogramh: $("#id_iprogramh").val(),
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };


                 function inputkegiatan() {
                    $.ajax({
                        type: 'POST',
                        url: 'kegiatan/input.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_kegiatan: $("#kode_kegiatan").val(),
                             indikator_kegiatan: $("#indikator_kegiatan").val(),
                             k_target_kegiatan_renstra: $("#k_target_kegiatan_renstra").val(),
                             k_realisasi_kegiatan_renstra: $('#k_realisasi_kegiatan_renstra').val(),
                             target_kegiatan_renja: $('#target_kegiatan_renja').val(),
                             t_kegiatan1: $('#t_kegiatan1').val(),
                             t_kegiatan2: $('#t_kegiatan2').val(),
                             t_kegiatan3: $('#t_kegiatan3').val(),
                             t_kegiatan4: $('#t_kegiatan4').val(),
                             satuan_kegiatan: $('#satuan_kegiatan').val(),
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };

                function ubahkegiatan() {
                    $.ajax({
                        type: 'POST',
                        url: 'kegiatan/ubah.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_kegiatan: $("#kode_kegiatan").val(),
                             indikator_kegiatan: $("#indikator_kegiatan").val(),
                             k_target_kegiatan_renstra: $("#k_target_kegiatan_renstra").val(),
                             k_realisasi_kegiatan_renstra: $('#k_realisasi_kegiatan_renstra').val(),
                             target_kegiatan_renja: $('#target_kegiatan_renja').val(),
                             t_kegiatan1: $('#t_kegiatan1').val(),
                             t_kegiatan2: $('#t_kegiatan2').val(),
                             t_kegiatan3: $('#t_kegiatan3').val(),
                             t_kegiatan4: $('#t_kegiatan4').val(),
                             satuan_kegiatan: $('#satuan_kegiatan').val(),
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };


                function inputsub_kegiatan() {
                    $.ajax({
                        type: 'POST',
                        url: 'sub_kegiatan/input.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_sub_kegiatan: $("#kode_sub_kegiatan").val(),
                             k_target_sub_kegiatan_renstra: $("#k_target_sub_kegiatan_renstra").val(),
                             rp_target_sub_kegiatan_renstra: $("#rp_target_sub_kegiatan_renstra").val(),
                             k_realisasi_sub_kegiatan_renstra: $('#k_realisasi_sub_kegiatan_renstra').val(),
                             rp_realisasi_sub_kegiatan_renstra: $('#rp_realisasi_sub_kegiatan_renstra').val(),
                             target_sub_kegiatan_renja: $('#target_sub_kegiatan_renja').val(),
                             t_sub_kegiatan1: $('#t_sub_kegiatan1').val(),
                             t_sub_kegiatan2: $('#t_sub_kegiatan2').val(),
                             t_sub_kegiatan3: $('#t_sub_kegiatan3').val(),
                             t_sub_kegiatan4: $('#t_sub_kegiatan4').val(),
                             
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };


                 function ubahsub_kegiatan() {
                    $.ajax({
                        type: 'POST',
                        url: 'sub_kegiatan/ubah.php',
                        data: {
                             kode_sub_skpd: $("#kode_sub_skpd").val(),
                             kode_sub_kegiatan: $("#kode_sub_kegiatan").val(),
                             k_target_sub_kegiatan_renstra: $("#k_target_sub_kegiatan_renstra").val(),
                             rp_target_sub_kegiatan_renstra: $("#rp_target_sub_kegiatan_renstra").val(),
                             k_realisasi_sub_kegiatan_renstra: $('#k_realisasi_sub_kegiatan_renstra').val(),
                             rp_realisasi_sub_kegiatan_renstra: $('#rp_realisasi_sub_kegiatan_renstra').val(),
                             target_sub_kegiatan_renja: $('#target_sub_kegiatan_renja').val(),
                             t_sub_kegiatan1: $('#t_sub_kegiatan1').val(),
                             t_sub_kegiatan2: $('#t_sub_kegiatan2').val(),
                             t_sub_kegiatan3: $('#t_sub_kegiatan3').val(),
                             t_sub_kegiatan4: $('#t_sub_kegiatan4').val(),
                             
                        },
                        success: function (data) {
                        alert(data);
                        tampil();
                          
                          
                        }
                    });
                };

 </script>  
          
  


  <script type="text/javascript">
     var myWindow;
   
     function excelcetak() {
      var kode_sub_skpd = $("#kode_sub_skpd").val();
      var sub_skpd = $("#sub_skpd").val();
      var sub_kegiatan1 = $("#sub_kegiatan1").val();
      var kode_akun1 = $("#kode_akun1").val();
      var tglawali = $("#tglawali").val();
      var tglakhiri = $("#tglakhiri").val();
      
      myWindow = window.open("cetakexcel.php?kode_sub_skpd="+kode_sub_skpd+"&sub_skpd="+sub_skpd+"&kode_akun1="+kode_akun1+"&tglawali="+tglawali+"&tglakhiri="+tglakhiri, "_blank", "width=100, height=100,top=1,left=50%");
    }

 </script>

 <script type="text/javascript">
     var myWindow2;
   
     function excelcetak2() {
      var kode_sub_skpd = $("#kode_sub_skpd").val();
      var sub_skpd = $("#sub_skpd").val();
      var sub_kegiatan1 = $("#sub_kegiatan1").val();
      var kode_akun1 = $("#kode_akun1").val();
      var tglawali = $("#tglawali").val();
      var tglakhiri = $("#tglakhiri").val();
      
      myWindow2 = window.open("cetakexcel2.php?kode_sub_skpd="+kode_sub_skpd+"&sub_skpd="+sub_skpd+"&kode_akun1="+kode_akun1+"&tglawali="+tglawali+"&tglakhiri="+tglakhiri, "_blank", "width=100, height=100,top=1,left=50%");
    }

 </script>

  <script type="text/javascript">
     var myWindow3;
   
     function excelcetak3() {
      var kode_sub_skpd = $("#kode_sub_skpd").val();
      var sub_skpd = $("#sub_skpd").val();
      var sub_kegiatan1 = $("#sub_kegiatan1").val();
      var kode_akun1 = $("#kode_akun1").val();
      var tglawali = $("#tglawali").val();
      var tglakhiri = $("#tglakhiri").val();
      
      myWindow3 = window.open("cetakexcel3.php?kode_sub_skpd="+kode_sub_skpd+"&sub_skpd="+sub_skpd+"&kode_akun1="+kode_akun1+"&tglawali="+tglawali+"&tglakhiri="+tglakhiri, "_blank", "width=100, height=100,top=1,left=50%");
    }

 </script>
    </head>
    <body onload="tampil()">
        
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 id="stat"></h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item active"></li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
        <section class="content">
      <div class="container-fluid">
       <div > 
             
<br>
<div class="card">
  <div class="card-header bg-blue">
    <h3 class="card-title">Data Evaluasi</h3>
    <div class="card-tools">
      <!-- Collapse Button -->
      <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
    </div>
    <!-- /.card-tools -->
  </div>
  <!-- /.card-header -->
  <div class="card-body">
    
   <div class="container">
      
      <div class="group-input">
        <table>
            <tr>
                <td>
                    <label>SKPD :</label>
                </td>
                <td>
                    

        <select id="kode_sub_skpd" style="width: 300%;" onchange="tampil()">
          
      <?php
$sqlsubskpd  = mysqli_query($koneksi, "SELECT
kode_sub_skpd,sub_skpd from sub_skpd 
    ");
foreach ($sqlsubskpd as $rowsubskpd) {

    ?>
<option value="<?php echo $rowsubskpd["kode_sub_skpd"]?>"><?php echo $rowsubskpd["sub_skpd"]?></option>
    <?php 
  }
    ?>
        </select>
                </td>
                <td>

                </td>
            </tr>
        </table>

        <div hidden="hidden">
        <div id="tampil_opd"></div>
        </div>
      </div>
 
  </div>
    </div>


             

          
            <div id="loadhitung"></div>
                <div  id="tampil_data" >LOOAading</div>
            </div>
          
        
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->

    
<div class="modal fade" id="modal-isasaran" >
        <div class="modal-dialog modal-xl"  style ="float:left ; width: 100%; ">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,pink); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Sasaran</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body"  >

                <p><label>Kode Program</label>
                <input type="text" id="kode_programs" class="form-control" readonly="readonly">
                </p>
                <p><label>Program</label>
                <input type="text" id="programs" class="form-control" readonly="readonly">
                </p>
                
             
           <div id="tampil_sasaran"></div>

            </div>
            <div class="modal-footer justify-content-between" style="background-image: linear-gradient(white,white,white,pink); border-radius: 18px;">
         
            </div>
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->



     
<div class="modal fade" id="modal-iprogram" style="float: left;" >
        <div class="modal-dialog modal-xl"  style ="float:right ; ">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,lightblue); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Program</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="float:right;" >

                <p><label>Kode Program</label>
                <input type="text" id="kode_program" class="form-control" readonly="readonly">
                </p>
                <p><label>Program</label>
                <input type="text" id="program" class="form-control" readonly="readonly">
                </p>
                
             
           <div id="tampil_program"></div>

            </div>
           
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->



      <div class="modal fade" id="modal-uprogram" style="float: left;" >
        <div class="modal-dialog modal-xl"  style ="float:right ; ">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,lightblue); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Program</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="float:right;" >

                <p><label>Kode Program</label>
                <input type="text" id="kode_programu" class="form-control" readonly="readonly">
                </p>
                <p><label>Program</label>
                <input type="text" id="programu" class="form-control" readonly="readonly">
                </p>
                <p><label>ID</label>
                <input type="text" id="id_iprogram" class="form-control" readonly="readonly">
                </p>
                
             
           <div id="tampil_ubah_program"></div>

            </div>
           
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->


      <div class="modal fade" id="modal-hprogram" style="float: left;" >
        <div class="modal-dialog modal-xl"  style ="float:right ; ">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,red); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Program</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="float:right;" >

                <p><label>Kode Program</label>
                <input type="text" id="kode_programh" class="form-control" readonly="readonly">
                </p>
                <p><label>Program</label>
                <input type="text" id="programh" class="form-control" readonly="readonly">
                </p>
                <p><label>ID</label>
                <input type="text" id="id_iprogramh" class="form-control" readonly="readonly">
                </p>
                
             
           <div id="tampil_hapus_program"></div>

            </div>
           
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->



<div class="modal fade" id="modal-ikegiatan" style="float: left;" >
        <div class="modal-dialog modal-xl"  style ="float:right; ">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,lightgreen); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Kegiatan</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="float:right;" >

                <p><label>Kode Kegiatan</label>
                <input type="text" id="kode_kegiatan" class="form-control" readonly="readonly">
                </p>
                <p><label>kegiatan</label>
                <input type="text" id="kegiatan" class="form-control" readonly="readonly">
                </p>
             
           <div id="tampil_kegiatan"></div>

            </div>
           
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->




         
     
               
                <div class="modal fade" id="modal-isub_kegiatan" style="float: left;" >
        <div class="modal-dialog modal-xl"  style ="float:50">
          <div class="modal-content" >
            <div class="modal-header" style="background-image: linear-gradient(white,orange); border-radius: 18px;" data-toggle="modal" data-target="#modal-ikegiatan"></button>
              <h4 class="modal-title"><i class ="fa fa-edit"></i> Sub Kegiatan</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="float:right;" >

                <p><label>Kode Sub Kegiatan</label>
                <input type="text" id="kode_sub_kegiatan" class="form-control" readonly="readonly">
                </p>
                <p><label>Sub Kegiatan</label>
                <input type="text" id="sub_kegiatan" class="form-control" readonly="readonly">
                </p>
             <p><label>Indikator</label>
                <textarea id="indikator_sub_kegiatan" class="form-control" readonly="readonly"></textarea>
                </p>
           <div id="tampil_sub_kegiatan"></div>

            </div>
            
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->

        
       
           </div>
        
        </div>
       
   
     
    </section>
  

  <!-- Control Sidebar -->
      


<!-- ./wrapper -->
         <footer class="main-footer">
    <strong></strong>
    Kabupaten Jayawijaya
    <div class="float-right d-none d-sm-inline-block">
      <b>By </b> eky
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
 <?php 
 include("../samping.php");
 ?>
  </aside>
  <!-- /.control-sidebar -->

        <!-- DataTables  & Plugins -->
<script src="../../../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../../../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../../../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../../../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../../../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../../../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../../../plugins/jszip/jszip.min.js"></script>
<script src="../../../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../../../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../../../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../../../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../../../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
   
<!-- SweetAlert2 -->
<script src="../../../plugins/sweetalert2/sweetalert2.min.js"></script>
<!-- Toastr -->
<script src="../../../plugins/toastr/toastr.min.js"></script>
<!-- AdminLTE App -->
<!-- Select2 -->
<script src="../../../plugins/select2/js/select2.full.min.js"></script>
<script src="../../../plugins/daterangepicker/daterangepicker.js"></script>


<script src="../../../plugins/moment/moment.min.js"></script>
<script src="../../../plugins/inputmask/jquery.inputmask.min.js"></script>
<!-- date-range-picker -->
<script src="../../../plugins/daterangepicker/daterangepicker.js"></script>
<!-- bootstrap color picker -->
<script src="../../../plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>

        <!-- Bootstrap 4 -->

<script src="../../../plugins/summernote/summernote-bs4.min.js"></script>
<!-- SweetAlert2 -->
     

<script src="../../../plugins/chart.js/Chart.min.js"></script>
<!-- Ekko Lightbox -->
<script src="../../../plugins/ekko-lightbox/ekko-lightbox.min.js"></script>

<script type="text/javascript">
  function tgladd(){
     $('#tgl_beritai').datetimepicker({
                        format: 'yyyy-MM-DD',
                        autoclose: true,
                    });
  }
</script>

        <script>
            $(function () {
                $("#kode_sub_skpd").select2();

                  $('#tgl_beritai').datetimepicker({
                        format: 'yyyy-MM-DD',
                        autoclose: true,
                    });
                   $('#tgl_beritau').datetimepicker({
                        format: 'yyyy-MM-DD',
                        autoclose: true,
                    });

                   $("#tahun_awal").select2();
                    $("#tahun_akhir").select2();


       })
            // DropzoneJS Demo Code End
</script>

  <script>

  $(function () {
    // Summernote
    $('#keti').summernote(
        {
            placeholder:'input data anda',
            height:200,
        });

   
    CodeMirror.fromTextArea(document.getElementById("keti"), {
      mode: "htmlmixed",
      theme: "monokai"
    });


  })
</script>
<script>
  $(function () {
    $(document).on('click', '[data-toggle="lightbox"]', function(event) {
      event.preventDefault();
      $(this).ekkoLightbox({
        alwaysShowClose: true
      });
    });

    $('.filter-container').filterizr({gutterPixels: 3});
    $('.btn[data-filter]').on('click', function() {
      $('.btn[data-filter]').removeClass('active');
      $(this).addClass('active');
    });
  })
</script>
<script type="text/javascript">
           
            $(document).on('keyup','.uang', function(e){
                this.value = formatrupiah(this.value, 'Rp. ');
            });
            function formatrupiah(angka, prefix) {
                var number_string = angka.replace(/[^,\d]/g, '').toString(),
                split = number_string.split(','),
                sisa = split[0].length % 3,
                formatrupiah = split[0].substr(0, sisa),
                ribuan = split[0].substr(sisa).match(/\d{3}/gi);
                if (ribuan) {
                    separator = sisa ? '.' : '';
                    formatrupiah += separator + ribuan.join('.');
                }
                formatrupiah = split[1] != undefined ? formatrupiah + ',' + split[1] : formatrupiah;
                return prefix == undefined ? formatrupiah : (formatrupiah ? ' ' + formatrupiah : '');
            }
  </script>   
    </body>
</html>
